## mycompiler.mystatement
Class UnaryExpr

    java.lang.Object
      mycompiler.mystatement.Statement
          mycompiler.mystatement.ExprStmt
              mycompiler.mystatement.Expr
                  mycompiler.mystatement.UnaryExpr

All Implemented Interfaces:
  ITypeReplacementListener

Direct Known Subclasses:
  CastExpr, NegativeExpr, NotExpr, PositivExpr, PostDecExpr, PostIncExpr, PreDecExpr, PreIncExpr

    public abstract class UnaryExpr

extends Expr

Field Summary

Fields inherited from class mycompiler.mystatement.Expr
`usedid`

Fields inherited from class mycompiler.mystatement.ExprStmt
`type`

Constructor Summary
`UnaryExpr()`

Method Summary
`abstract void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class mycompiler.mystatement.Expr
`get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, sc_check, set_Type, set_UsedId, TRExp, TRMultiply, TRTuple`

Methods inherited from class mycompiler.mystatement.ExprStmt
`getType, getTypeLineNumber, getTypeName, replaceType, setType`

Methods inherited from class mycompiler.mystatement.Statement
`TRStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryExpr

    public UnaryExpr()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
  Throws:
    `JVMCodeException`